"use strict";

var React = require('react');
var __1 = require('..');
var STORY_TITLE = 'helpers.storybook';
var el = React.createElement("div", { style: {
        boxSizing: 'border-box',
        padding: 10,
        width: '100%',
        height: '100%'
    } }, "Hello");
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({
    title: 'A host container for components under test.',
    align: 'center bottom',
    height: '80%',
    width: 400,
    background: true,
    border: -0.1
})).add('MyComponent', function () {
    return el;
});
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({ title: 'Foo', backdrop: true })).add('backdrop: true (RED)', function () {
    return el;
});
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({ title: 'Foo', backdrop: '#2196F3' })).add('backdrop: blue', function () {
    return el;
});
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({ title: 'Foo', backdrop: -0.1 })).add('backdrop: -0.1', function () {
    return el;
});
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({ title: 'Foo', backdrop: -0.5 })).add('backdrop: -0.5', function () {
    return el;
});
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({ title: 'Foo', backdrop: -0.8 })).add('backdrop: -0.8', function () {
    return el;
});
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({ title: 'Foo' })).add('backdrop: none (white)', function () {
    return el;
});
__1.storiesOf(STORY_TITLE, module).addDecorator(__1.host({ title: 'Foo', backdrop: -0.1, background: 1, border: -0.3 })).add('backdrop: -0.1, background: 1', function () {
    return el;
});